import * as types from '../constants/actionTypes';
import { ProgressType, ViewportType, AnnotationType } from '../constants/type';

export default (dispatch: any): any => ({
  setTotalPage: (page: number): any => (
    dispatch({ type: types.SET_TOTAL_PAGE, payload: page })
  ),
  setCurrentPage: (page: number): any => (
    dispatch({ type: types.SET_CURRENT_PAGE, payload: page })
  ),
  setPdf: (pdf: Record<string, any>): any => (
    dispatch({ type: types.SET_PDF, payload: pdf })
  ),
  setProgress: (progress: ProgressType): any => (
    dispatch({ type: types.SET_PROGRESS, payload: progress })
  ),
  setViewport: (viewport: ViewportType): any => (
    dispatch({ type: types.SET_VIEWPORT, payload: viewport })
  ),
  changeScale: (scale: number | string): any => (
    dispatch({ type: types.CHANGE_SCALE, payload: scale })
  ),
  changeRotate: (rotation: number): any => (
    dispatch({ type: types.CHANGE_ROTATE, payload: rotation })
  ),
  addAnnotation: (annotations: AnnotationType[], init: boolean): any => (
    dispatch({ type: types.ADD_ANNOTATIONS, payload: { annotations, init } })
  ),
  updateAnnotation: (annotations: AnnotationType[]): any => (
    dispatch({ type: types.UPDATE_ANNOTATIONS, payload: annotations })
  ),
});
